if RequiredScript == "lib/tweak_data/weaponfactorytweakdata" then

	local old_wftd_init = WeaponFactoryTweakData.init
	function WeaponFactoryTweakData:init()
		old_wftd_init(self)
		self:fix_dmr()
	end
	function WeaponFactoryTweakData:fix_dmr()
	--	self.parts.wpn_fps_m4_upg_m_quick.forbids = {"wpn_fps_upg_m4_m_straight_vanilla"} -- blocks default mag from spawning and clipping with speedpull
	--	self.parts.wpn_fps_upg_ak_m_quick.forbids = {"wpn_upg_ak_m_akm", "wpn_upg_ak_m_akm_gold"}
-- DMR KIT REBALANCE
		-- CAR4 DMR KIT
		self.parts.wpn_fps_upg_ass_m4_b_beowulf.stats = {
				extra_ammo = -5,
				spread = 4,
				total_ammo_mod = -12,
				damage = 108,
				concealment = -4,
				value = 1,
				recoil = -15
			}
			self.parts.wpn_fps_upg_ass_m4_b_beowulf.custom_stats = {
				ammo_pickup_max_mul = 0.31,
				ammo_pickup_min_mul = 0.23
			}
--			self.parts.wpn_fps_upg_ass_m4_b_beowulf.forbids = {
--				"wpn_fps_ammo_type",
--				"wpn_fps_upg_m4_m_quad",
--				"wpn_fps_ass_l85a2_m_emag",
--				"wpn_fps_upg_m4_m_pmag",
--				"wpn_fps_upg_m4_m_l5"
--			}
		--	self.parts.wpn_fps_upg_ass_m4_b_beowulf.adds = {"wpn_fps_m4_uupg_m_std_vanilla"} --add back default mags
		--AMR16 DMR KIT		
		self.wpn_fps_ass_m16.override.wpn_fps_upg_ass_m4_b_beowulf.stats = {
				extra_ammo = -10,
				spread = 4,
				total_ammo_mod = -4,
				damage = 66,
				concealment = -4,
				value = 1,
				recoil = -8
			}
		self.wpn_fps_ass_m16.override.wpn_fps_upg_ass_m4_b_beowulf.custom_stats = {
				ammo_pickup_min_mul = 1.2, 
				ammo_pickup_max_mul = 0.8
				}
--		self.wpn_fps_ass_m16.override.wpn_fps_upg_ass_m4_b_beowulf.forbids = {
--				"wpn_fps_ammo_type",
--				"wpn_fps_upg_m4_m_quad",
--				"wpn_fps_ass_l85a2_m_emag",
--				"wpn_fps_upg_m4_m_pmag",
--				"wpn_fps_upg_m4_m_l5",
--				"wpn_fps_m4_uupg_m_std"
--			}
		--self.wpn_fps_ass_m16.override.wpn_fps_upg_ass_m4_b_beowulf.adds = {"wpn_fps_upg_m4_m_straight_vanilla"} --add back default mags
		--AK762 DMR KIT
		self.parts.wpn_fps_upg_ass_ak_b_zastava.stats = {
			spread = 2,
			extra_ammo = -10,
			total_ammo_mod = -4,
			damage = 63,
			concealment = -4,
			value = 1,
			recoil = -6
		}
		self.parts.wpn_fps_upg_ass_ak_b_zastava.custom_stats = {
			ammo_pickup_min_mul = 1.2, 
			ammo_pickup_max_mul = 0.8
    	}
--    	self.parts.wpn_fps_upg_ass_ak_b_zastava.forbids = {
--    		"wpn_fps_upg_ak_m_uspalm",
--    		"wpn_fps_upg_ak_m_quad"
--    	}
    	--self.parts.wpn_fps_upg_ass_ak_b_zastava.adds = {"wpn_upg_ak_m_akm"}	--add back default mags
		--AK DMR KIT
		self.wpn_fps_ass_74.override.wpn_fps_upg_ass_ak_b_zastava.stats = {
				extra_ammo = -5,
				spread = 3,
				total_ammo_mod = -12,
				damage = 104,
				concealment = -4,
				value = 1,
				recoil = -10
		}
		self.wpn_fps_ass_74.override.wpn_fps_upg_ass_ak_b_zastava.custom_stats = {
			ammo_pickup_min_mul = 0.23, 
			ammo_pickup_max_mul = 0.31
		}
--		self.wpn_fps_ass_74.override.wpn_fps_upg_ass_ak_b_zastava.forbids = {
--    		"wpn_fps_upg_ak_m_uspalm",
--    		"wpn_fps_upg_ak_m_quad"
--    	}
    	--self.wpn_fps_ass_74.override.wpn_fps_upg_ass_ak_b_zastava.adds = {"wpn_fps_ass_74_m_standard"} --add back default mags
		--G3 DMR KIT
		self.parts.wpn_fps_ass_g3_b_sniper.stats = {
			extra_ammo = -5,
			total_ammo_mod = -6,
			damage = 61,
			value = 2,
			concealment = -2,
			recoil = -6,
			spread = 2
		}
		self.parts.wpn_fps_ammo_type.custom_stats = {
			ammo_pickup_min_mul = 1.0, 
			ammo_pickup_max_mul = 0.72
		}
-- END OF REBALANCE
		-- G3 ASSAULT KIT FIX
		self.parts.wpn_fps_ass_g3_b_short.custom_stats = {
			ammo_pickup_min_mul = 7.1,
			ammo_pickup_max_mul = 3.8
		} 

	end
end

local old_init = WeaponTweakData.init

function WeaponTweakData:init(tweak_data)
    old_init(self, tweak_data)
	

self.new_m14.AMMO_PICKUP = {0.8, 1.9}
self.contraband.AMMO_PICKUP = {0.4, 1.2}
self.ching.AMMO_PICKUP = {0.8, 1.9}
self.sub2000.AMMO_PICKUP = {0.8, 1.9}
--self.sub2000.CLIP_AMMO_MAX = 22
--self.sub2000.NR_CLIPS_MAX = 3
self.sub2000.AMMO_MAX = self.sub2000.CLIP_AMMO_MAX * self.sub2000.NR_CLIPS_MAX

	end
	